Package picard.illumina.parser

## Class PerTileFileUtil

- java.lang.Object
- - picard.illumina.parser.ParameterizedFileUtil
  - - picard.illumina.parser.PerTileFileUtil

- Direct Known Subclasses:
    `PerTileOrPerRunFileUtil`

      public class PerTileFileUtil
      extends ParameterizedFileUtil

- - ### Field Summary

    - ### Fields inherited from class picard.illumina.parser.ParameterizedFileUtil

      `base, DefaultSkipEmptyFiles, extension, faker, lane, matchPattern, PER_TILE_PATTERN_STRING, skipEmptyFiles, tiles`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PerTileFileUtil​(String extension, File base, FileFaker faker, int lane)` |
    `PerTileFileUtil​(String extension, File base, FileFaker faker, int lane, boolean skipEmptyFiles)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<String>` | `fakeFiles​(List<Integer> expectedTiles, int[] cycles, IlluminaFileUtil.SupportedIlluminaFormat format)` | Given the expected tiles/expected cycles for this file type create a set of fake files such that the verification criteria are met.
    `boolean` | `filesAvailable()` | Determine whether or not files are available
    `picard.illumina.parser.IlluminaFileMap` | `getFiles()` |
    `picard.illumina.parser.IlluminaFileMap` | `getFiles​(List<Integer> tiles)` |
    `List<String>` | `verify​(List<Integer> expectedTiles, int[] expectedCycles)` | Given the expected tiles/expected cycles for this file type, return a list of error messages describing any missing/or malformed files

    - ### Methods inherited from class picard.illumina.parser.ParameterizedFileUtil

      `checkTileCount, escapePeriods, fileToTile, getRunFile, getTiledFiles, getTiles, makeBarcodeRegex, makeLaneTileRegex, setTiles, setTilesForPerRunFile`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PerTileFileUtil

          public PerTileFileUtil​(String extension,
                                 File base,
                                 FileFaker faker,
                                 int lane)

    - #### PerTileFileUtil

          public PerTileFileUtil​(String extension,
                                 File base,
                                 FileFaker faker,
                                 int lane,
                                 boolean skipEmptyFiles)

  - ### Method Detail

    - #### filesAvailable

          public boolean filesAvailable()

      Description copied from class: `ParameterizedFileUtil`
      Determine whether or not files are available
      Specified by:
        `filesAvailable` in class `ParameterizedFileUtil`
      Returns:
        return true if files are found matching this types pattern, false otherwise

    - #### getFiles

          public picard.illumina.parser.IlluminaFileMap getFiles()

    - #### getFiles

          public picard.illumina.parser.IlluminaFileMap getFiles​(List<Integer> tiles)

    - #### verify

          public List<String> verify​(List<Integer> expectedTiles,
                                     int[] expectedCycles)

      Description copied from class: `ParameterizedFileUtil`
      Given the expected tiles/expected cycles for this file type, return a list of error messages describing any missing/or malformed files
      Specified by:
        `verify` in class `ParameterizedFileUtil`
      Parameters:
        `expectedTiles` - An ordered list of tile numbers
        `expectedCycles` - An ordered list of cycle numbers that may contain gaps
      Returns:
        A list of error messages for this format

    - #### fakeFiles

          public List<String> fakeFiles​(List<Integer> expectedTiles,
                                        int[] cycles,
                                        IlluminaFileUtil.SupportedIlluminaFormat format)

      Description copied from class: `ParameterizedFileUtil`
      Given the expected tiles/expected cycles for this file type create a set of fake files such that the verification criteria are met.
      Specified by:
        `fakeFiles` in class `ParameterizedFileUtil`
      Parameters:
        `expectedTiles` - An ordered list of tile numbers
        `cycles` - An ordered list of cycle numbers that may contain gaps
        `format` - The format of the files that are to be faked
      Returns:
        A list of error messages for this format